Loading...
Searching...
No Matches
osmium::ChangesetDiscussion Class Reference

`#include <changeset.hpp>`

Inheritance diagram for osmium::ChangesetDiscussion:
[legend]
Collaboration diagram for osmium::ChangesetDiscussion:
[legend]

## Public Member Functions

| ChangesetDiscussion () noexcept=default
Public Member Functions inherited from osmium::memory::Collection< ChangesetComment, osmium::item_type::changeset_discussion >
| Collection () noexcept
bool | empty () const noexcept
size_type | size () const noexcept
iterator | begin () noexcept
const_iterator | begin () const noexcept
iterator | end () noexcept
const_iterator | end () const noexcept
const_iterator | cbegin () const noexcept
const_iterator | cend () const noexcept
Public Member Functions inherited from osmium::memory::Item
| Item (const Item &)=delete
Item & | operator= (const Item &)=delete
| Item (Item &&)=delete
Item & | operator= (Item &&)=delete
| ~Item () noexcept=default
unsigned char * | next () noexcept
const unsigned char * | next () const noexcept
item_size_type | byte_size () const noexcept
item_size_type | padded_size () const
item_type | type () const noexcept
bool | removed () const noexcept
void | set_removed (const bool removed) noexcept
diff_indicator_type | diff () const noexcept
char | diff_as_char () const noexcept
void | set_diff (const diff_indicator_type diff) noexcept

## Additional Inherited Members

Public Types inherited from osmium::memory::Collection< ChangesetComment, osmium::item_type::changeset_discussion >
using | value_type = ChangesetComment
using | reference = ChangesetComment &
using | const_reference = const ChangesetComment &
using | iterator = CollectionIterator< ChangesetComment >
using | const_iterator = CollectionIterator< const ChangesetComment >
using | size_type = std::size_t
Static Public Member Functions inherited from osmium::memory::Collection< ChangesetComment, osmium::item_type::changeset_discussion >
static constexpr bool | is_compatible_to (const osmium::item_type t) noexcept
Static Public Member Functions inherited from osmium::memory::Item
static constexpr bool | is_compatible_to (osmium::item_type) noexcept
Static Public Attributes inherited from osmium::memory::Collection< ChangesetComment, osmium::item_type::changeset_discussion >
static constexpr osmium::item_type | itemtype
Protected Member Functions inherited from osmium::memory::Item
| Item (item_size_type size=0, item_type type=item_type{}) noexcept
Item & | set_type (const item_type item_type) noexcept

## Constructor & Destructor Documentation

## ChangesetDiscussion()

osmium::ChangesetDiscussion::ChangesetDiscussion | ( |  | ) |

default noexcept

The documentation for this class was generated from the following file:

- include/osmium/osm/changeset.hpp